## org.apache.cassandra.gms
Interface IFailureDetectionEventListener

All Known Implementing Classes:
  Gossiper, StreamOutSession

    public interface IFailureDetectionEventListener

Implemented by the Gossiper to convict an endpoint based on the PHI calculated by the Failure Detector on the inter-arrival times of the heart beats.

Method Summary
`void` `convict(java.net.InetAddress ep, double phi)` Convict the specified endpoint.

Method Detail

### convict

    void convict(java.net.InetAddress ep,
                 double phi)

  Convict the specified endpoint.

  Parameters:
    `ep` - endpoint to be convicted
    `phi` - the value of phi with with ep was convicted

Copyright © 2012 The Apache Software Foundation